"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.pickMultipleContacts = pickMultipleContacts;
exports.pickSingleContact = pickSingleContact;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-contact-picker-ios' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const ContactPickerSingle = _reactNative.NativeModules.ContactPickerSingle ? _reactNative.NativeModules.ContactPickerSingle : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
const ContactPickerMulti = _reactNative.NativeModules.ContactPickerMulti ? _reactNative.NativeModules.ContactPickerMulti : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function pickSingleContact() {
  return ContactPickerSingle.open();
}
function pickMultipleContacts() {
  return ContactPickerMulti.open();
}
//# sourceMappingURL=index.js.map